/**
 * 
 */
package ak.jboss.vault.decrypt;

/**
 * @author a.k.
 */
public class Main {

	private static void checkArgs(String[] args) {
		if (args.length != 3) {
			System.out.println("3 arguments expected.");
			System.out.println("Usage:   Main <masked_password> <salt> <iterations>");
			System.exit(1);
		}

		try {
			Integer.parseInt(args[2]);
		} catch (Exception e) {
			System.out.println("3rd argument must be an integer number.");
			System.out.println("Usage:   Main <masked_password> <salt> <iterations>");
			System.exit(1);
		}
	}

	/**
	 * @param args
	 * @throws Exception
	 */
	public static void main(String[] args) throws Exception {
		checkArgs(args);

		String maskedPsw = args[0];
		String salt = args[1];
		int iterCnt = Integer.parseInt(args[2]);

		String psw = new Decryptor().decrypt(maskedPsw, salt, iterCnt);

		System.out.println(psw);
	}
}
